Have the visual diff system display node attribute changes
Closed, ResolvedPublic8 Story Points

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 22 2016, 9:41 PM
Esanders renamed this task from Have the visual diff system display node attribute changes as a pop-out or something similar to Have the visual diff system display node attribute changes.Nov 23 2016, 8:17 PM

We also need to display node type changes. The boundary between the two is not always obvious in VE (e.g. <p> to <h1> is a type change, but <h1> to <h2> is an attribute change), so we should treat these as the same problem.

Step 1: detect type/attribute changes
Step 2: display these somehow

Content attribute changes (e.g. blah to blah) are a slightly different problem, because they will be detected by the linear (content) differ instead of the tree (node) differ - see T156189

Change 333992 had a related patch set uploaded (by Tchanders):
WIP Visual diff node type and attribute changes

https://gerrit.wikimedia.org/r/333992

Change 333992 merged by jenkins-bot:
Detect node type/attribute changes in the visual diff

https://gerrit.wikimedia.org/r/333992

The above commit addresses step 1 but not step 2 yet.

But it does fix T151589.

Change 334678 had a related patch set uploaded (by Jforrester):
Update VE core submodule to master (e5dffec)

https://gerrit.wikimedia.org/r/334678

Change 334678 merged by jenkins-bot:
Update VE core submodule to master (e5dffec)

https://gerrit.wikimedia.org/r/334678

Change 340160 had a related patch set uploaded (by Esanders):
[VisualEditor/VisualEditor] VisualDiff: Show attribute changes in a sidebar

https://gerrit.wikimedia.org/r/340160

Change 340160 merged by jenkins-bot:
[VisualEditor/VisualEditor] VisualDiff: Show attribute changes in a sidebar

https://gerrit.wikimedia.org/r/340160

Change 342963 had a related patch set uploaded (by Jforrester):
[mediawiki/extensions/VisualEditor] Update VE core submodule to master (8817821b6)

https://gerrit.wikimedia.org/r/342963

Jdforrester-WMF closed this task as Resolved.Mar 16 2017, 3:38 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF assigned this task to Tchanders.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 16 2017, 3:38 PM

Change 342963 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor] Update VE core submodule to master (8817821b6)

https://gerrit.wikimedia.org/r/342963